+++
title = "Clipboard"
sort_by = "weight"
+++

# What is the Clipboard Project?

Clipboard (or CB) is a _ridonkuliciously_ easy-to-use and powerful data remembrance tool bursting with _oodles_ of advanced features and absolutely gorgeous eye candy.

That's underselling it.

Introducing **_<ins>your</ins>_** one-way golden ticket to saving time and effort **anytime and anywhere**. Have a telepath with an infallible memory always at your disposal. Feel the sheer power flowing through your commanding body as you cut, copy, paste, add, remove, load, and make note of **anything** that dares lay in your terminal at the mere press of a button. In no time, you'll be reclined back on a warm sunny beach in the Caribbean sipping a silky and succulent papaya smoothie with the love of your life snuggling by your side all while you watch bottlenose dolphins leaping from the bright shimmering waves of the soft blue water in the distance. Ok, so maybe that last part won't actually happen, but you get the idea: Clipboard makes your life easy.

That's more like it.

# Quick Start

Visit the [official Clipboard Project GitHub page](https://github.com/Slackadays/Clipboard) to install the latest version of CB.

Once you've installed it, that's all you have to do. Try some of these examples below!

```sh
$ cb copy NuclearLaunchCodes.pdf
$ cb note "Keep this a secret"
$ echo "Keep this a secret OR ELSE" | cb note
$ cb paste

$ cb cut69 MyDirectory
$ cb add69 SomeFile
$ cb remove69 SomeFile
$ cb paste69

$ cb cp_420 foo.bar NotAVirus.bar.mp3.exe
$ cb remove_420 "*.mp3\.exe"
$ cb note_420 "Some kosher content here"
$ cb sh_420

$ cb note
$ cb clr
$ cb note_420
$ cb
```

Of course, this is only a handful of examples. Check out [the readme on GitHub](https://github.com/Slackadays/Clipboard) again for detailed instructions and some great tips and tricks.

# Get Help

Feeling stumped? We're here to help. Check out [the Wiki](https://github.com/Slackadays/Clipboard/wiki) for even more information, ask your burning questions in [Discussions](https://github.com/Slackadays/Clipboard/discussions), or join [our Discord group](https://discord.gg/J6asnc3pEG).

# Thank You!

Our users help define the Clipboard Project. Thank you for being one of them!